DELETE api/sms/unsubscribe-from-inbound-message
Request Information
URI Parameters
None.
Body Parameters
UnsubscribeForInboundMessageRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageSubscriptionId | globally unique identifier |
None. |
|
| UserId | globally unique identifier |
None. |
|
| AgencyId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"messageSubscriptionId": "7650cb1e-d8c7-48e3-aaea-a627987ea0e3",
"userId": "a3995c28-7edf-4133-84e1-b8bfed9b71e2",
"agencyId": "cda3f355-e629-4c25-9acb-4cce0de39ff6"
}
application/xml, text/xml
Sample:
<UnsubscribeForInboundMessageRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData.SMS"> <AgencyId>cda3f355-e629-4c25-9acb-4cce0de39ff6</AgencyId> <MessageSubscriptionId>7650cb1e-d8c7-48e3-aaea-a627987ea0e3</MessageSubscriptionId> <UserId>a3995c28-7edf-4133-84e1-b8bfed9b71e2</UserId> </UnsubscribeForInboundMessageRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithDatabaseId| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "aa94cacc-bde2-4ecf-b6dd-75dbeab06b1c",
"status": 0,
"message": "sample string 2"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithDatabaseId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 2</Message> <Status>Error</Status> <DatabaseId>aa94cacc-bde2-4ecf-b6dd-75dbeab06b1c</DatabaseId> </NowCertsApiResultWithDatabaseId>